# Citation

If you use our software for research, please consider citing us.


## SpinDoctor

The paper about SpinDoctor can be found at
[https://arxiv.org/abs/1902.01025](https://arxiv.org/abs/1902.01025):

```bibtex
@article{SpinDoctor,
  author  = {Jing-Rebecca Li and Van-Dang Nguyen and Try Nguyen Tran and Jan Valdman and Cong-Bang Trang and Khieu Van Nguyen and Duc Thach Son Vu and Hoang An Tran and Hoang Trong An Tran and Thi Minh Phuong Nguyen},
  doi     = {https://doi.org/10.1016/j.neuroimage.2019.116120},
  issn    = {1053-8119},
  journal = {NeuroImage},
  pages   = {116120},
  title   = {{SpinDoctor: A MATLAB toolbox for diffusion MRI simulation}},
  url     = {http://www.sciencedirect.com/science/article/pii/S1053811919307116},
  volume  = {202},
  year    = {2019}
}
```


## Neuron module

The following article describes the application of SpinDoctor to neuron geometries
(extracted from [NeuroMorpho](http://neuromorpho.org/)):

```bibtex
@article{NeuronModule,
  author   = {Chengran Fang and Van-Dang Nguyen and Demian Wassermann and Jing-Rebecca Li},
  doi      = {https://doi.org/10.1016/j.neuroimage.2020.117198},
  issn     = {1053-8119},
  journal  = {NeuroImage},
  keywords = {Bloch-Torrey equation, Diffusion magnetic resonance imaging, Finite elements, Monte-Carlo, Simulation, Neurons},
  pages    = {117198},
  title    = {Diffusion {MRI} simulation of realistic neurons with {SpinDoctor} and the {Neuron Module}},
  url      = {http://www.sciencedirect.com/science/article/pii/S1053811920306844},
  volume   = {222},
  year     = {2020}
}
```


## Matrix formalism

This article describes the matrix formalism approach combined with the finite element
method:

```bibtex
@article{MatrixFormalism,
  author  = {Li, Jing-Rebecca and Tran, Try and Nguyen, Van-Dang},
  doi     = {10.1002/nbm.4353},
  journal = {NMR in Biomedicine},
  month   = {07},
  pages   = {},
  title   = {Practical computation of the diffusion {MRI} signal of realistic neurons based on {Laplace} eigenfunctions},
  volume  = {33},
  year    = {2020}
}
```

This article describes the extension of the matrix formalism to permeable membranes:

```bibtex
@article{MatrixFormalismPermeability,
    author   = {Agdestein, Syver Døving and Tran, Try Nguyen and Li, Jing-Rebecca},
    doi      = {https://doi.org/10.1002/nbm.4646},
    eprint   = {https://analyticalsciencejournals.onlinelibrary.wiley.com/doi/pdf/10.1002/nbm.4646},
    journal  = {NMR in Biomedicine},
    keywords = {Bloch-Torrey equation, diffusion MRI, finite elements, Laplace eigenfunctions, matrix formalism, permeability, simulation},
    month    = {11},
    pages    = {e4646},
    title    = {Practical computation of the diffusion MRI signal based on Laplace eigenfunctions: permeable interfaces},
    url      = {https://analyticalsciencejournals.onlinelibrary.wiley.com/doi/abs/10.1002/nbm.4646},
    year     = {2021}
}
```
